跳转到主要内容
万相 2.7

Wan 2.7 — 视频编辑

提交视频编辑任务(wan2.7)

POST
/services/aigc/video-generation/video-synthesis
curl --location 'https://dashscope.aliyuncs.com/api/v1/services/aigc/video-generation/video-synthesis' \
  -H 'X-DashScope-Async: enable' \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
  "model": "wan2.7-videoedit",
  "input": {
    "prompt": "Convert the entire scene to a claymation style",
    "media": [
      {
        "type": "video",
        "url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260402/ldnfdf/wan2.7-videoedit-style-change.mp4"
      }
    ]
  },
  "parameters": {
    "resolution": "720P",
    "prompt_extend": true,
    "watermark": true
  }
}'
{
  "request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx",
  "output": {
    "task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx",
    "task_status": "PENDING"
  }
}
使用文本提示和可选的参考图片编辑最高 1080P 的视频——支持更改风格、替换对象,或将参考图片中的内容融入源视频。

鉴权

string
header
必填

千问云 API Key。详见获取 API Key

Header 参数

enum<string>
必填

异步任务提交时必须设置为 enable

enable

请求体

application/json
enum<string>
必填

模型标识符,固定值为 wan2.7-videoedit

wan2.7-videoedit
wan2.7-videoedit
object
必填

视频编辑的输入内容。

object

视频编辑参数。

响应

200-application/json
string

用于追踪和排查问题的唯一请求标识符。

4909100c-7b5a-9f92-bfe5-xxxxxx
object